Steam for Linux

Steam for Linux

Steam for Linux > Discussões Gerais > Detalhes do tópico
JJ 4 Jan, 2014 às 14:08
Steam error: glXChooseVisual failed - new Steam install in Lubuntu
I've been trying different fixes suggested on various forum pages all to no avail. I'm hoping to get to the core of the issue and get Steam running successfully on my new super tower PC build running Lubuntu.

I followed the instructions for downloading the installer and building the package of Steam and the icon showed up on my desktop. I double-clicked it thinking I was set to go and after a few seconds of supposedly updating a small window with the error code "glXChooseVisual failed" comes up. I have tried again and again after implementing the various suggested fixes only to get the same thing each time - so apparently the problem relates to something I have not addressed yet.

When I try running steam via the terminal, I get this output:

jj@jj-MS-7818:~$ steam Running Steam on ubuntu 13.10 64-bit STEAM_RUNTIME is enabled automatically Installing breakpad exception handler for appid(steam)/version(1386799584_client) Installing breakpad exception handler for appid(steam)/version(1386799584_client) Installing breakpad exception handler for appid(steam)/version(1386799584_client) unlinked 0 orphaned pipes removing stale semaphore last operated on by process 20036 with name 0eBlobRegistryMutex_CFF644FF6F39F9BABBA6CBE9CFEE5443 removing stale semaphore last operated on by process 20036 with name 0eBlobRegistrySignal_CFF644FF6F39F9BABBA6CBE9CFEE5443 removing stale semaphore last operated on by process 20036 with name 0emSteamEngineInstance removing stale semaphore last operated on by process 20036 with name 0eSteamEngineLock Installing breakpad exception handler for appid(steam)/version(1386799584_client) Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number Steam: An X Error occurred X Error of failed request: BadRequest (invalid request code or no such operation) [0104/164050:WARNING:proxy_service.cc(958)] PAC support disabled because there is no system implementation Major opcode of failed request: 155 (ATIFGLEXTENSION) Minor opcode of failed request: 66 Serial number of failed request: 39 xerror_handler: X failed, continuing Steam: An X Error occurred X Error of failed request: BadRequest (invalid request code or no such operation) Major opcode of failed request: 154 (GLX) Minor opcode of failed request: 19 (X_GLXQueryServerString) Serial number of failed request: 70 xerror_handler: X failed, continuing Steam: An X Error occurred X Error of failed request: BadRequest (invalid request code or no such operation) Major opcode of failed request: 154 (GLX) Minor opcode of failed request: 19 (X_GLXQueryServerString) Serial number of failed request: 99 xerror_handler: X failed, continuing Steam: An X Error occurred X Error of failed request: BadRequest (invalid request code or no such operation) Major opcode of failed request: 154 (GLX) Minor opcode of failed request: 14 (X_GLXGetVisualConfigs) Serial number of failed request: 128 xerror_handler: X failed, continuing glXChooseVisual failedAssert( Assertion Failed: Fatal Error: glXChooseVisual failed ):/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/steamUI/Main.cpp:284 Installing breakpad exception handler for appid(steam)/version(1386799584_client) Uploading dump (out-of-process) [proxy ''] /tmp/dumps/assert_20140104164050_6.dmp Finished uploading minidump (out-of-process): success = yes response: CrashID=bp-bbc41cd4-e383-46f6-9cef-e65972140104 jj@jj-MS-7818:~$

I'm not sure what to make of it other than there seems to be a breakdown when Steam tries to initiate through X and I'm betting it has something to do with my graphics drivers - which I've tried (apparently unsuccessfully) to upgrade. Any help (especially that which helps me break through this problem) will be appreciated.
< >
A mostrar 1-4 de 4 comentários
Kranky K. Krackpot 5 Jan, 2014 às 1:43 
Here it starts:
Steam: An X Error occurred
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 155 (ATIFGLEXTENSION)
Minor opcode of failed request: 66
Serial number of failed request: 39
xerror_handler: X failed, continuing
You have an ATI card with proprietary driver? In terminal try to run "glxinfo" and "glxgears". Seems the driver simply doesn't work.
http://ubuntuforums.org/showthread.php?t=2087797
http://forums.debian.net/viewtopic.php?f=7&t=47971
http://askubuntu.com/questions/175744/x-error-of-failed-request-badrequest-invalid-request-code-or-no-such-operation
Última alteração por Kranky K. Krackpot; 5 Jan, 2014 às 2:12
whiskeykitten 5 Set, 2014 às 2:12 
Well that sucks big sweaty goat testicles. I have the same issue, and the same graphics card (onboard)
:/
I've tried my gx card on the generic drivers too, but it overheats my laptop in a matter of seconds, so I went back to the proprietary. I also run Jupiter to keep it cooler.
xxxxxxborderline 9 Dez, 2017 às 14:34 
https://askubuntu.com/a/903488/600878 solved the problem.
Even with nvidia drivers installed, there was some old mesa library being linked to.
Follow the instructions in the post, check if you have the link to the old library:
sudo ldconfig -p | grep -i gl.so
one of the libraries will have mesa in it's name. Instead of removing the old lib, you can also rename it like this:
sudo mv /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/mesa/libGL.so.1.bak

Another cool thing I've learned trying to solve this problem was that ubuntu can auto detect your hardware and install drivers by itself with:
sudo ubuntu-drivers autoinstall

Hope that helps you guys!
sgtlion 7 Ago, 2018 às 1:00 
I've spent a long time facing this issue on Fedora. The solution was simple: Install the 32-bit libraries for the nvidia driver -

"dnf install nvidia-driver-libs.i686"

Shame the question on stackexchange is protected; Else I'd post it there too.
< >
A mostrar 1-4 de 4 comentários
Por página: 15 30 50

Steam for Linux > Discussões Gerais > Detalhes do tópico
Postado a: 4 Jan, 2014 às 14:08
Comentários: 4